List Phone Numbers
curl --request GET \
--url https://api-in.getello.ai/api/phone-number \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-in.getello.ai/api/phone-number"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-in.getello.ai/api/phone-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Phone numbers fetched successfully",
"data": {
"total": 3,
"page": 1,
"size": 10,
"phone_numbers": [
{
"_id": "6901a88b23bc1023d88134fa",
"number": "+14155552671",
"status": "active",
"type": "inbound",
"created_at": "2025-10-10T09:30:00Z"
},
{
"_id": "6901a88b23bc1023d88134fb",
"number": "+14155559876",
"status": "inactive",
"type": "outbound",
"created_at": "2025-09-20T11:45:00Z"
}
]
}
}{
"status": 400,
"message": "Failed to get user phone numbers"
}{
"status": 401,
"message": "Unauthorized access",
"details": "Authentication token is missing or invalid"
}{
"status": 500,
"message": "Error while getting user phone numbers"
}Phone Number
List Phone Numbers
Retreives a paginated list of phone numbers
GET
/
api
/
phone-number
List Phone Numbers
Authorizations
apiKeybearerAuth
Query Parameters
Page number for pagination.
Example:
1
Number of phone numbers to return per page.
Example:
10
Response
Phone numbers fetched successfully
Example:
200
Example:
"Phone numbers fetched successfully"
Example:
{
"total": 3,
"page": 1,
"size": 10,
"phone_numbers": [
{
"_id": "6901a88b23bc1023d88134fa",
"number": "+14155552671",
"status": "active",
"type": "inbound",
"created_at": "2025-10-10T09:30:00Z"
},
{
"_id": "6901a88b23bc1023d88134fb",
"number": "+14155559876",
"status": "inactive",
"type": "outbound",
"created_at": "2025-09-20T11:45:00Z"
}
]
}
⌘I